List datasets

List all datasets for the current space with optional filters

POST
/datasets/list
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

List datasets input

format?DatasetFormat
Value in"CSV" | "TSV" | "XML" | "JSON"
pagination?bv.Pagination
sourceId?string

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/datasets/list" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "assetId": "string",
    "createdAt": "string",
    "description": "string",
    "format": "CSV",
    "id": "string",
    "metadata": null,
    "name": "string",
    "organizationId": "string",
    "schema": null,
    "sourceId": "string",
    "spaceId": "string",
    "title": "string",
    "updatedAt": "string"
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}